using System;
using System.Collections.Generic;
using System.Text;

namespace Microsoft.Cryptography
{
    /// <summary>
    /// Signature Description class for the SHA1-Hashalgorithm, which will call the configured RSA-implementation derived from RSABase.
    /// <seealso cref="Microsoft.Cryptography.RSABase"/>
    /// </summary>
    public class RSAPKCS1SHA1SignatureDescription : RSAManagedPKCS1SignatureDescription
    {
        /// <summary>
        /// Creates a new instance.
        /// </summary>
        public RSAPKCS1SHA1SignatureDescription()
            : base("System.Security.Cryptography.SHA1CryptoServiceProvider")
        {
            base._hashAlgorithm = "SHA1";
        }
    }
}
