using System;
using System.Collections.Generic;
using System.Text;
using System.Security.Cryptography;

namespace Microsoft.Cryptography
{
    /// <summary>
    /// Signature Description class for the SHA256-Hashalgorithm, which will call the RSAManaged class.
    /// </summary>
    public class RSAPKCS1SHA256SignatureDescription : RSAManagedPKCS1SignatureDescription
    {
        /// <summary>
        /// Creates a new instance.
        /// </summary>
        public RSAPKCS1SHA256SignatureDescription() : base("System.Security.Cryptography.SHA256Managed")
        {
            base._hashAlgorithm = "SHA256";
        }
    }
}
